com.thinkaurelius.titan.diskstorage.keycolumnvalue

## Class StandardStoreFeatures.Builder

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.StandardStoreFeatures.Builder

- Enclosing class:
    StandardStoreFeatures

      public static class StandardStoreFeatures.Builder
      extends Object

  The only way to instantiate `StandardStoreFeatures`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardStoreFeatures.Builder()` Construct a Builder with everything disabled/unsupported/false/null.
    `StandardStoreFeatures.Builder(StoreFeatures template)` Construct a Builder whose default values exactly match the values on the supplied `template`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardStoreFeatures.Builder` | `batchMutation(boolean b)`
    `StandardStoreFeatures` | `build()`
    `StandardStoreFeatures.Builder` | `cellTTL(boolean b)`
    `StandardStoreFeatures.Builder` | `distributed(boolean b)`
    `StandardStoreFeatures.Builder` | `keyConsistent(Configuration c)`
    `StandardStoreFeatures.Builder` | `keyConsistent(Configuration global, Configuration local)`
    `StandardStoreFeatures.Builder` | `keyOrdered(boolean b)`
    `StandardStoreFeatures.Builder` | `localKeyPartition(boolean b)`
    `StandardStoreFeatures.Builder` | `locking(boolean b)`
    `StandardStoreFeatures.Builder` | `multiQuery(boolean b)`
    `StandardStoreFeatures.Builder` | `notKeyConsistent()`
    `StandardStoreFeatures.Builder` | `orderedScan(boolean b)`
    `StandardStoreFeatures.Builder` | `preferredTimestamps(Timestamps t)`
    `StandardStoreFeatures.Builder` | `storeTTL(boolean b)`
    `StandardStoreFeatures.Builder` | `timestamps(boolean b)`
    `StandardStoreFeatures.Builder` | `transactional(boolean b)`
    `StandardStoreFeatures.Builder` | `unorderedScan(boolean b)`
    `StandardStoreFeatures.Builder` | `visibility(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardStoreFeatures.Builder

          public StandardStoreFeatures.Builder()

      Construct a Builder with everything disabled/unsupported/false/null.

    - #### StandardStoreFeatures.Builder

          public StandardStoreFeatures.Builder(StoreFeatures template)

      Construct a Builder whose default values exactly match the values on the supplied `template`.

  - ### Method Detail

    - #### unorderedScan

          public StandardStoreFeatures.Builder unorderedScan(boolean b)

    - #### orderedScan

          public StandardStoreFeatures.Builder orderedScan(boolean b)

    - #### multiQuery

          public StandardStoreFeatures.Builder multiQuery(boolean b)

    - #### locking

          public StandardStoreFeatures.Builder locking(boolean b)

    - #### batchMutation

          public StandardStoreFeatures.Builder batchMutation(boolean b)

    - #### localKeyPartition

          public StandardStoreFeatures.Builder localKeyPartition(boolean b)

    - #### keyOrdered

          public StandardStoreFeatures.Builder keyOrdered(boolean b)

    - #### distributed

          public StandardStoreFeatures.Builder distributed(boolean b)

    - #### transactional

          public StandardStoreFeatures.Builder transactional(boolean b)

    - #### timestamps

          public StandardStoreFeatures.Builder timestamps(boolean b)

    - #### preferredTimestamps

          public StandardStoreFeatures.Builder preferredTimestamps(Timestamps t)

    - #### cellTTL

          public StandardStoreFeatures.Builder cellTTL(boolean b)

    - #### storeTTL

          public StandardStoreFeatures.Builder storeTTL(boolean b)

    - #### visibility

          public StandardStoreFeatures.Builder visibility(boolean b)

    - #### keyConsistent

          public StandardStoreFeatures.Builder keyConsistent(Configuration c)

    - #### keyConsistent

          public StandardStoreFeatures.Builder keyConsistent(Configuration global,
                                                    Configuration local)

    - #### notKeyConsistent

          public StandardStoreFeatures.Builder notKeyConsistent()

    - #### build

          public StandardStoreFeatures build()

Copyright © 2012–2014. All rights reserved.